Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.metadata
Class SimpleClassMetaDataBinding

    java.lang.Object
      org.jboss.aop.metadata.ClassMetaDataBinding
          org.jboss.aop.metadata.SimpleClassMetaDataBinding

public class SimpleClassMetaDataBinding
extends ClassMetaDataBinding

Version:
  $Revision: 1.3 $
Author:
  Bill Burke

Nested Class Summary
`class` | `SimpleClassMetaDataBinding.QueuedConstructorMetaData`
`class` | `SimpleClassMetaDataBinding.QueuedMetaData`
`class` | `SimpleClassMetaDataBinding.QueuedMethodMetaData`

Field Summary
`protected SimpleMetaData` | `classMetaData`
`protected SimpleMetaData` | `defaultMetaData`
`protected ArrayList` | `queuedConstructorMetaData`
`protected ArrayList` | `queuedFieldMetaData`
`protected ArrayList` | `queuedMethodMetaData`

Fields inherited from class org.jboss.aop.metadata.ClassMetaDataBinding
`advisors, classExpr, expr, loader, name, tag`

Constructor Summary
`SimpleClassMetaDataBinding(ClassMetaDataLoader loader, String name, String tag, String expr)`

Method Summary
`void` | `addClassMetaData(String tag, String attr, Object value)`
`void` | `addDefaultMetaData(String tag, String attr, Object value)`
`SimpleMetaData` | `getClassMetaData()`
`SimpleMetaData` | `getDefaultMetaData()`
`ArrayList` | `getQueuedConstructorMetaData()`
`ArrayList` | `getQueuedFieldMetaData()`
`ArrayList` | `getQueuedMethodMetaData()`
`void` | `queueConstructorMetaData(String constructorExpr, String tag, String attr, Object value)` Queues up binding for method meta data
`void` | `queueFieldMetaData(String fieldExpr, String tag, String attr, Object value)` Queues up binding for method meta data
`void` | `queueMethodMetaData(String methodExpr, String tag, String attr, Object value)` Queues up binding for method meta data

Methods inherited from class org.jboss.aop.metadata.ClassMetaDataBinding
`addAdvisor, clearAdvisors, equals, getClassExpr, getLoader, getName, getTag, hashCode, matches, matches`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultMetaData

    protected SimpleMetaData defaultMetaData

### classMetaData

    protected SimpleMetaData classMetaData

### queuedMethodMetaData

    protected ArrayList queuedMethodMetaData

### queuedFieldMetaData

    protected ArrayList queuedFieldMetaData

### queuedConstructorMetaData

    protected ArrayList queuedConstructorMetaData

Constructor Detail

### SimpleClassMetaDataBinding

    public SimpleClassMetaDataBinding(ClassMetaDataLoader loader,
                                      String name,
                                      String tag,
                                      String expr)

Method Detail

### addDefaultMetaData

    public void addDefaultMetaData(String tag,
                                   String attr,
                                   Object value)

### addClassMetaData

    public void addClassMetaData(String tag,
                                 String attr,
                                 Object value)

### queueMethodMetaData

    public void queueMethodMetaData(String methodExpr,
                                    String tag,
                                    String attr,
                                    Object value)

  Queues up binding for method meta data

### getQueuedMethodMetaData

    public ArrayList getQueuedMethodMetaData()

### queueFieldMetaData

    public void queueFieldMetaData(String fieldExpr,
                                   String tag,
                                   String attr,
                                   Object value)

  Queues up binding for method meta data

### getQueuedFieldMetaData

    public ArrayList getQueuedFieldMetaData()

### queueConstructorMetaData

    public void queueConstructorMetaData(String constructorExpr,
                                         String tag,
                                         String attr,
                                         Object value)

  Queues up binding for method meta data

### getQueuedConstructorMetaData

    public ArrayList getQueuedConstructorMetaData()

### getDefaultMetaData

    public SimpleMetaData getDefaultMetaData()

### getClassMetaData

    public SimpleMetaData getClassMetaData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.